Typescript (SDK)
import { Crevio } from "@crevio/sdk";
const crevio = new Crevio({
apiKey: process.env["CREVIO_API_KEY"] ?? "",
});
async function run() {
const result = await crevio.eventTypes.get({
id: "<id>",
});
console.log(result);
}
run();curl --request GET \
--url https://api.crevio.co/v1/event_types/{id} \
--header 'Authorization: <api-key>'import requests
url = "https://api.crevio.co/v1/event_types/{id}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.crevio.co/v1/event_types/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"object": "<string>",
"id": "<string>",
"name": "<string>",
"slug": "<string>",
"duration_minutes": 123,
"buffer_before_minutes": 123,
"buffer_after_minutes": 123,
"min_notice_minutes": 123,
"booking_window_days": 123,
"max_per_day": 123,
"reminder_minutes": [
123
],
"location_details": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"form_id": "<string>",
"free": true,
"schedule_id": "<string>",
"product_id": "<string>",
"price_variants": [
{
"id": "<string>",
"object": "<string>",
"name": "<string>",
"amount": 123,
"interval_count": 123,
"installment_count": 123,
"setup_fee_amount": 123,
"trial_period_days": 123,
"revoke_after_days": 123,
"quantity_available": 123,
"archived": true,
"position": 123,
"hidden": true,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"currency": "<string>",
"discounted_from_amount": 123,
"minimum_amount": 123,
"maximum_amount": 123,
"preset_amount": 123,
"waitlist": true,
"purchase_url": "<string>",
"product": "<string>",
"benefits": [
"<string>"
]
}
],
"form": "<string>"
}{
"error": {
"type": "invalid_request_error",
"code": "authentication_required",
"message": "You did not provide an API key."
}
}{
"error": {
"type": "invalid_request_error",
"code": "forbidden",
"message": "You do not have permission to perform this action"
}
}{
"error": {
"type": "invalid_request_error",
"code": "resource_missing",
"message": "The requested resource was not found"
}
}{
"error": {
"type": "api_error",
"code": "internal_error",
"message": "An unexpected error occurred"
}
}Event types
Retrieve an event type
GET
/
event_types
/
{id}
Typescript (SDK)
import { Crevio } from "@crevio/sdk";
const crevio = new Crevio({
apiKey: process.env["CREVIO_API_KEY"] ?? "",
});
async function run() {
const result = await crevio.eventTypes.get({
id: "<id>",
});
console.log(result);
}
run();Authorizations
API key in the format: Bearer {api_token}
Path Parameters
The resource ID (e.g., "prod_abc123") or slug (e.g., "my-product")
Response
The event type
Available options:
google_meet, zoom, custom_link, physical, phone Show child attributes
Show child attributes
ID by default, full object when expanded
Was this page helpful?
⌘I

